%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Event-ExecFlow

Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	The Perl Event-ExecFlow Module
Name:		perl-%{perlname}
Version:	0.63
Release:	2
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=Event+ExecFlow
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Event perl-AnyEvent

%description
Event::ExecFlow - High level API for event-based execution flow control

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir
%_mandir
%_bindir/execflow

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.63-2
- Rebuild against perl 5.10.0
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.63-1
- Version update
* Fri Sep 15 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.62-1
- Initial Build
